.copy-link-modal{

    .rs-modal {
      height: 100vh;
      width: 100vw;
      
      &-dialog {
        width:100%;
        width: 650px;  
      }
      &-body {
        margin: 0;
        padding: 0px;
        height: 250px;
        max-height: 250px !important;
      }
      &-content{
        border-radius: 15px;
        padding: 0;
        height: 100%;
                 
      }
    }
  
    &-custom{
      margin: 0 auto;
      display: flex !important;
      justify-content: center;
      align-items: center;
      width: 60%;
      height: 100%;
      background: initial !important;
    }

    .modal-header{
        display: flex;
        align-items: center;
        justify-content: center;
        height: 60px;
        padding: 14px ;

        font-size: 2.4rem;
        color: $darkTurquoise;
    }

    .modal-sub-content{
        padding: 1.4rem;
        height: calc(100% - 6rem);
        width: 100%;
        display: flex;
        flex-direction: column;

        .instruction-text{
            display: flex;
            justify-content: center;
            align-items: center;
            color: $darkTurquoise;
            margin-bottom: 10px;
            text-align: center;
        }
        
    }

    .modal-toggle {
        position: absolute;
        top: 1.5rem;
        right: 2rem;
        width: 4rem;
        height: 4rem;
        background-color: white;
        cursor: pointer;
        z-index: 1;
    
        img {
          width: 100%;
          height: 100%;
          object-fit: contain;
          object-position: center;
        }
    }
    .accept-btn{
        border-radius: 20px;
        background-color: $deepSkyBlue;
        color: white;
        position: absolute;
        bottom: 2rem;
        left: 50%;
        transform: translateX(-50%);
        height: 3rem;
        width: 11rem;
    
    }
}
  @media screen and (max-width: 768px) {
    .copy-link-modal{

        .rs-modal {
          height: 100vh;
          width: 100vw;
          
          &-dialog {
            width:100%;
            width: 500px;  
          }
          &-body {
            margin: 0;
            padding: 0px;
            height: 280px;
            max-height: 280px !important;
          }
          &-content{
            border-radius: 15px;
            padding: 0;
            height: 100%;
                     
          }
        }
      
        &-custom{
          margin: 0 auto;
          display: flex !important;
          justify-content: center;
          align-items: center;
          width: 60%;
          height: 100%;
          background: initial !important;
        }
    
        .modal-header{
            display: flex;
            align-items: center;
            justify-content: center;
            height: 60px;
            padding: 1.4rem ;
            margin-top: 15px ;
            font-size: 1.6rem;
            color: $darkTurquoise;
        }
        .modal-sub-content{
            padding: 1.4rem;
            height: calc(100% - 6rem);
            width: 100%;
            display: flex;
            flex-direction: column;
    
            .instruction-text{
                font-size: 1.2rem;
                display: flex;
                justify-content: center;
                align-items: center;
                color: $darkTurquoise;
                margin-bottom: 10px;
            }
            
        }
        .modal-toggle {
            position: absolute;
            top: 0rem;
            right: 0rem;
            width: 4rem;
            height: 4rem;
            background-color: white;
            cursor: pointer;
            z-index: 1;
        
            img {
              width: 100%;
              height: 100%;
              object-fit: contain;
              object-position: center;
            }
        }
        .accept-btn{
            border-radius: 20px;
            background-color: $deepSkyBlue;
            color: white;
            position: absolute;
            bottom: 2rem;
            left: 50%;
            transform: translateX(-50%);
            height: 3rem;
            width: 11rem;
        
        }
    }
  }